mapuid(3)

NAME
mapuid() - getpwnam frontend

SYNOPSIS
#include "fwfunc.h"

int mapuid(char *user)

DESCRIPTION
The mapuid function coverts character user name to integer value.

RETURN VALUES
The mapuid function returns atoi(3) of user if it is all-digit, user id if it is not, -1 if user does not exist.

SEE ALSO
getpwnam(3)

HISTORY
present in fwtk since v1